package main

import "fmt"
import "flag"
import "gitlab.com/beoran/ebsgo/engine/global"
// import "path/filepath"
// import "math/rand"

// some parameters
const SCREEN_W = 640
const SCREEN_H = 480
const WINDOW_TITLE = "Eruta Blessed Saviour"
// Command line flags
var fullscreen_flag = flag.Bool("fullscreen", false, "Run fullscreen or not")


func main() {
    state := global.State{}
    if ! state.InstallAllegro() {
        fmt.Printf("Could not initialize allegro.")
        return
    }
    
    if state.OpenDisplay(SCREEN_W, SCREEN_H, WINDOW_TITLE, *fullscreen_flag) == nil {
        fmt.Printf("Error creating display.")
        return
    }
    
    state.Run()    
        
    /*    
    blue := CreateColor(0.0, 0.0, 1.0, 1.0)
    yellow := CreateColor(1.0, 1.0, 0.0, 1.0)
    ClearToColor(blue)
    DrawPixel(20.0, 10.0, yellow)
    FlipDisplay()
    Rest(1.0)
    display.SetWindowPosition(50, 100)
    ClearToColor(yellow)
    DrawPixel(20.0, 10.0, blue)
    FlipDisplay()
    display.Destroy()
    Rest(1.0)
    **/


}
